TAHOE(1)

NAME

tahoe - Secure distributed file store.

SYNOPSIS

tahoe COMMAND [OPTION]... [PARAMETER]...

GENERAL OPTIONS

-q, --quiet
    Operate silently.

-V, --version
    Display version numbers.

--version-and-path
    Display version numbers and paths to their locations.

-d, --node-directory
    Specify which Tahoe node directory should be used. (default for most commands: `$HOME/.tahoe')

COMMANDS

The tahoe runner can be used for various tasks depending on the command used.

  ADMINISTRATION

tahoe COMMAND [OPTION]... [NODEDIR]

  COMMANDS

create-node
    Create a node that acts as a client, server or both.

create-client
    Create a client node (with storage initially disabled).

create-introducer
    Create an introducer node.

  OPTIONS

-C, --basedir=
    Same as —node-directory.

-d, --node-directory=
    Specify which Tahoe node directory should be used. (default for create-node and create-client: `$HOME/.tahoe/').

-n, --nickname=
    Specify the nickname for this node (create-node and create-client only).

-i, --introducer=
    Specify the introducer FURL to use (create-node and create-client only).

-p, --webport=
    Specify which TCP port to run the HTTP interface on. Use `none' to disable. Default: `tcp:3456:interface=127.0.0.1' (create-node and create-client only).

--no-storage
    Do not offer storage service to other nodes (create-node only).

  CONTROLLING NODES

tahoe COMMAND [OPTION]... [NODEDIR]

  COMMANDS

start
    Start a node (of any type).

stop
    Stop a node.

restart
    Restart a node.

run Run a node synchronously.

  OPTIONS

-p, --profile
    Run under the Python profiler, putting results in `profiling_results.prof' (use with start or restart only).

--syslog
    Tell the node to log to syslog, not a file (use with start or restart only).

-C, --basedir=
    Same as —node-directory.

-d, --node-directory=
    Specify which Tahoe node directory should be used (default for commands other than run: `$HOME/.tahoe/').

--help
    Display help and exit

  USING THE FILE STORE

mkdir
    Create a new directory.

add-alias
    Add a new alias cap.

create-alias
    Create a new alias cap.

list-aliases
    List all alias caps.

ls  List a directory.

get Retrieve a file from the grid.

put Upload a file into the grid.

cp  Copy one or more files or directories.

unlink
    Unlink a file or directory on the grid.

rm  Unlink a file or directory on the grid (same as unlink).

mv  Move a file within the grid.

ln  Make an additional link to an existing file or directory.

backup
    Make target dir look like local dir.

webopen
    Open a web browser to a grid file or directory.

manifest
    List all files/directories in a subtree.

stats
    Print statistics about all files/directories in a subtree.

check
    Check a single file or directory.

deep-check
    Check all files/directories reachable from a starting point

  OPTIONS

Please run `tahoe COMMAND --help' for more details on each command.

  DEBUGGING

tahoe debug SUBCOMMAND [OPTION]... [PARAMETER]...

  SUBCOMMANDS

dump-share
    Unpack and display the contents of a share.

dump-cap
    Unpack a read-cap or write-cap.

find-shares
    Locate sharefiles in node directories.

catalog-shares
    Describe all shares in node dirs.

corrupt-share
    Corrupt a share by flipping a bit.

Please run e.g. `tahoe debug dump-share --help' for more details on each subcommand.

AUTHORS

Tahoe-LAFS has been written by Brian Warner, Zooko Wilcox-O'Hearn and dozens of others. This manpage was originally written by bertagaz.

REPORTING BUGS

Please see <https://tahoe-lafs.org/trac/tahoe-lafs/wiki/HowToReportABug>.

For known security issues see <https://tahoe-lafs.org/trac/tahoe-lafs/browser/docs/known_issues.rst>.

Tahoe-LAFS home page: <https://tahoe-lafs.org/>

tahoe-dev mailing list: <https://tahoe-lafs.org/cgi-bin/mailman/listinfo/tahoe-dev>

COPYRIGHT

Copyright @ 2006–2013 The Tahoe-LAFS Software Foundation